Thursday, November 23, 2017



PC vendors scramble to issue patches after Intel announced firmware flaws allowing remote code execution affecting a wide range of chips and millions of devices


In response to issues identified by external researchers, Intel has performed an in-depth comprehensive security review of the following with the objective of enhancing firmware resilience:

  • Intel® Management Engine (Intel® ME)
  • Intel® Trusted Execution Engine (Intel® TXE)
  • Intel® Server Platform Services (SPS)

Intel has identified security vulnerabilities that could potentially impact certain PCs, servers, and IoT platforms.


Systems using Intel ME Firmware versions 11.0.0 through 11.7.0, SPS Firmware version 4.0, and TXE version 3.0 are impacted. You may find these firmware versions on certain processors from the:

  • 6th, 7th, and 8th generation Intel® Core™ Processor Family:
  • Intel® Xeon® Processor E3-1200 v5 and v6 Product Family
  • Intel® Xeon® Processor Scalable Family
  • Intel® Xeon® Processor W Family
  • Intel Atom® C3000 Processor Family
  • Apollo Lake Intel Atom® Processor E3900 series
  • Apollo Lake Intel® Pentium® Processors
  • Intel® Celeron® N and J series Processors

Read more


comments powered by Disqus








Latest News

Apple News

Android News

Powered by Blogger.

Copyright © Tech News 24h - Designed by Johanes Djogan